{$MINSTACKSIZE $00100000}
{$MAXSTACKSIZE $01400000}
program basic;

(*************************************************************************
    Copyright 2003-2007, SHIRAISHI Kazuo

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
    See the GNU General Public License for more details.
*************************************************************************)

uses
  QForms,
  base in 'base.pas',
  mdiframe in 'mdiframe.pas' {frameform},
  mdiedit in 'mdiedit.pas' {editform},
  textfrm in 'textfrm.pas' {textform},
  tracefrm in 'tracefrm.pas' {traceform},
  paintfrm in 'paintfrm.pas' {paintform},
  convdlg in 'convdlg.pas' {convtdlg},
  about in 'about.pas' {aboutbox},
  numberdg in 'numberdg.pas' {numberdlg},
  toolfrm in 'toolfrm.pas' {toolbox},
  inputdlg in 'inputdlg.pas' {inputdialog},
  sizedlg in 'sizedlg.pas' {optionsizedlg},
  colordlg in 'colordlg.pas' {colorindexdlg},
  optiondg in 'optiondg.pas' {optiondlg},
  debugdg in 'debugdg.pas' {debugdlg},
  syntaxdg in 'syntaxdg.pas' {syntaxdlg},
  optina in 'optina.pas' {optionac},
  afdg in 'afdg.pas' {autoformatdlg},
  fkeydlg in 'fkeydlg.pas' {fkeysdlg},
  moddlg in 'moddlg.pas' {moddialog},
  charinp in 'charinp.pas' {charinput},
  compadlg in 'compadlg.pas' {compatibilityDialog},
  printdlg in 'printdlg.pas' {PrintDialog},
  printbmp in 'printbmp.pas' {PrintBMPDialog},
  compiler in 'compiler.pas',
  supplied in 'supplied.pas',
  suppliedc in 'suppliedc.pas',
  suppliedr in 'suppliedr.pas',
  supplieds in 'supplieds.pas',
  extensio in 'extensio.pas',
  openclos in 'openclos.pas',
  chain in 'chain.pas',
  htmlhelp in 'htmlhelp.pas' {HelpForm},
  locatefrm in 'locatefrm.pas' {LocateForm},
  extdll in 'extdll.pas';

{$R *.res}

begin

  Application.Initialize;
  Application.HelpFile := '';
  Application.CreateForm(TFrameForm, FrameForm);
  Application.CreateForm(TTextForm, TextForm);
  Application.CreateForm(TTraceForm, TraceForm);
  Application.CreateForm(TOptionSizeDlg, OptionSizeDlg);
  Application.CreateForm(TPaintForm, PaintForm);
  Application.CreateForm(TCharInput, CharInput);
  Application.CreateForm(TColorIndexDlg, ColorIndexDlg);
  Application.CreateForm(TOptionDlg, OptionDlg);
  Application.CreateForm(TDebugDlg, DebugDlg);
  Application.CreateForm(TInputDialog, InputDialog);
  Application.CreateForm(TOptionAC, OptionAC);
  Application.CreateForm(TAutoFormatDlg, AutoFormatDlg);
  Application.CreateForm(TFkeysDlg, FkeysDlg);
  Application.CreateForm(TMODDialog, MODDialog);
  Application.CreateForm(TToolBox, ToolBox);
  Application.CreateForm(TConvtDlg, ConvtDlg);
  Application.CreateForm(TAboutBox, AboutBox);
  Application.CreateForm(TNumberDlg, NumberDlg);
  Application.CreateForm(TSyntaxDlg, SyntaxDlg);
  Application.CreateForm(TcompatibilityDialog, compatibilityDialog);
  Application.CreateForm(TPrintDialog, PrintDialog);
  Application.CreateForm(TPrintBMPDialog, PrintBMPDialog);
  Application.CreateForm(THelpForm, HelpForm);
  Application.CreateForm(TLocateForm, LocateForm);
  if (ParamIndex<=ParamCount) then
     if NoRun then
        begin
           FrameForm.OpenTextFile(ParamStr(paramIndex));
           Application.run
        end
     else if OpenAndRun then
        begin
          NoBackUp:=true;
          RunNormal(FrameForm.OpenTextFile(ParamStr(paramIndex)));
          Application.Run
        end
     else
        begin
          NoBackUp:=true;
          RunNormal(FrameForm.OpenTextFile(ParamStr(paramIndex))) ;
          ToTerminate:=true;
          FrameForm.Visible:=false;
          Application.Run
        end
  else
     begin
       ToOpen:=true;
       Application.Run;
     end;

(*
  if (ParamIndex<=ParamCount) then
     if NoRun then
        begin
           ToOpen:=true;
           ToOpenFile:=ParamStr(paramIndex);
           Application.run
        end
     else
        begin
          try
            NoBackUp:=true;
            RunNormal(FrameForm.OpenTextFile(ParamStr(paramIndex)))
          except
            Application.Terminate
          end;
          ToTerminate:=true;
          Application.run
        end
  else
     begin
       ToOpen:=true;
       Application.Run;
     end;
*)

end.
