unit colordlg;

(***************************************)
(* Copyright (C) 2003, SHIRAISHI Kazuo *)
(***************************************)


interface

uses Types, Qtypes, Classes, QGraphics, QForms, QControls, QButtons,
  QStdCtrls, QExtCtrls;

type
  TColorIndexDlg = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    RadioGroup1: TRadioGroup;
    procedure HelpBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private  }
  public
    procedure execute;
  end;

var
  ColorIndexDlg: TColorIndexDlg;

implementation
uses graphsys,toolfrm, paintfrm;

{$R *.xfm}

procedure TColorIndexDlg.execute;
begin
     if ShowModal=mrOk then
       begin
         MyPalette.PaletteNumber:=RadioGroup1.ItemIndex;
         PaintForm.initial;
         ToolBox.refresh
       end;
end;





procedure TColorIndexDlg.HelpBtnClick(Sender: TObject);
begin
  Application.ContextHelp(HelpContext);
end;

procedure TColorIndexDlg.FormCreate(Sender: TObject);
begin
   RadioGroup1.ItemIndex:=0;
end;

end.
