unit fkeydlg;

(***************************************)
(* Copyright (C) 2003, SHIRAISHI Kazuo *)
(***************************************)


interface

uses
    SysUtils, Classes, QGraphics, QControls, QForms, QDialogs,
    QStdCtrls, QExtCtrls ;

type
  TFkeysDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    HelpBtn: TButton;
    Bevel1: TBevel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure HelpBtnClick(Sender: TObject);
  private
    { Private  }
  public
    procedure execute;
  end;

var
  FkeysDlg: TFkeysDlg;

implementation
uses base;
{$R *.xfm}

procedure TFkeysDlg.HelpBtnClick(Sender: TObject);
begin
  Application.ContextHelp(HelpContext);
end;

procedure TFkeysDlg.execute;
begin
  Edit1.Text:=Shift_F5;
  Edit2.Text:=Shift_F6;
  Edit3.Text:=Shift_F7;
  Edit4.Text:=Shift_F8;
  If ShowModal=mrOk then
     begin
        Shift_F5:=Edit1.Text;
        Shift_F6:=Edit2.Text;
        Shift_F7:=Edit3.Text;
        Shift_F8:=Edit4.Text;
     end;
end;
end.
